import * as actions from '../actions';

export const initialState = {
  keyPage: 0,
};

export default (state = initialState, action) => {
  const {type, payload} = action;
  switch (type) {
    case actions.REQUEST_COMPONENTS_KEY_PAGES: {
      const {keyPage} = payload;
      return {
        ...state,
        keyPage,
      };
    }

    default:
      return state;
  }
};
